Dashboard User Audit API
API reference for viewing Dashboard users for Monitor and Beacon
These endpoints are used to look up a Dashboard user, as referenced in an audit_trail object from the Monitor or Beacon APIs.
| Endpoints | |
|---|---|
/dashboard_user/get | Retrieve information about Dashboard user |
/dashboard_user/list | List Dashboard users |
/dashboard_user/get
Retrieve a dashboard user
The /dashboard_user/get endpoint provides details (such as email address) about a specific Dashboard user based on the dashboard_user_id field, which is returned in the audit_trail object of certain Monitor and Beacon endpoints. This can be used to identify the specific reviewer who performed a Dashboard action.
Request fields
ID of the associated user. To retrieve the email address or other details of the person corresponding to this id, use /dashboard_user/get.
Your Plaid API secret. The secret is required and may be provided either in the PLAID-SECRET header or as part of a request body.
Your Plaid API client_id. The client_id is required and may be provided either in the PLAID-CLIENT-ID header or as part of a request body.
const request: DashboardUserGetRequest = {
dashboard_user_id: 'usr_1SUuwqBdK75GKi',
};
try {
const response = await client.dashboardUserGet(request);
} catch (error) {
// handle error
}
Response fields
ID of the associated user. To retrieve the email address or other details of the person corresponding to this id, use /dashboard_user/get.
An ISO8601 formatted timestamp.
date-time A valid email address. Must not have leading or trailing spaces and address must be RFC compliant. For more information, see RFC 3696.
email The current status of the user.
invited, active, deactivatedA unique identifier for the request, which can be used for troubleshooting. This identifier, like all Plaid identifiers, is case sensitive.
{
"id": "54350110fedcbaf01234ffee",
"created_at": "2020-07-24T03:26:02Z",
"email_address": "user@example.com",
"status": "active",
"request_id": "saKrIBuEB9qJZng"
}/dashboard_user/list
List dashboard users
The /dashboard_user/list endpoint provides details (such as email address) all Dashboard users associated with your account. This can use used to audit or track the list of reviewers for Monitor, Beacon, and Identity Verification products.
Request fields
Your Plaid API secret. The secret is required and may be provided either in the PLAID-SECRET header or as part of a request body.
Your Plaid API client_id. The client_id is required and may be provided either in the PLAID-CLIENT-ID header or as part of a request body.
An identifier that determines which page of results you receive.
try {
const response = await client.dashboardUserList({});
} catch (error) {
// handle error
}
Response fields
List of dashboard users
ID of the associated user. To retrieve the email address or other details of the person corresponding to this id, use /dashboard_user/get.
An ISO8601 formatted timestamp.
date-time A valid email address. Must not have leading or trailing spaces and address must be RFC compliant. For more information, see RFC 3696.
email The current status of the user.
invited, active, deactivatedAn identifier that determines which page of results you receive.
A unique identifier for the request, which can be used for troubleshooting. This identifier, like all Plaid identifiers, is case sensitive.
{
"dashboard_users": [
{
"id": "54350110fedcbaf01234ffee",
"created_at": "2020-07-24T03:26:02Z",
"email_address": "user@example.com",
"status": "active"
}
],
"next_cursor": "eyJkaXJlY3Rpb24iOiJuZXh0Iiwib2Zmc2V0IjoiMTU5NDM",
"request_id": "saKrIBuEB9qJZng"
}